:root {
	color-scheme: light;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
}

[hidden] {
	display: none;
}

html,
body {
	scroll-behavior: smooth;
}

body {
	background: #f5f5f5;
	height: 100vh;
	color: #000;
	margin: 0;
	padding: 0;
	font-family: "Lato", sans-serif;
	line-height: 1.2em;
}

body strong {
	font-weight: 700;
}

.demo-page-container {
	padding-top: 45px;
	width: 100%;
	max-width: 960px;
	margin-left: auto;
	margin-right: auto;
	padding-bottom: 60px;
	background: #fff;
	padding-left: 45px;
	padding-right: 45px;
}

.demo-page-container h1 {
	font-size: 32px;
	margin-top: 0;
	margin-bottom: 15px;
	line-height: 1.3em;
}

.demo-page-container p {
	font-size: 17px;
	margin: 25px 0 10px 0;
	line-height: 1.6em;
}

.demo-page-container ul {
	display: flex;
	flex-direction: column;
	gap: 8px 0;
	margin:10px 0 0 0;
	padding:0 0 0 20px;
}

p.header-par {
	margin: 25px 0 10px 0;
}

.demo-page-container h2 {
	font-size: 21px;
	margin-bottom: 30px;
	margin-top: 35px;
	padding-top: 25px;
	text-transform: uppercase;
	border-top: 1px solid #dddddd;
}

.demo-page-container h3 {
	font-size: 18px;
	margin-bottom: 10px;
	margin-top: 15px;
}

code {
	background-color: #f5f5f5;
	color: #000;
	padding: 20px;
	font-size: 16px;
	line-height: 1.2em;
	white-space: pre;
	display: block;
	border: 0;
	margin: 0;
	overflow-x: auto;
	box-shadow: 0 0px 2px rgba(0, 0, 0, 0.25);
	margin-top: 25px;
}

p {
	font-size: 17px;
	line-height: 1.25;
}

.github-position {
	position: fixed;
	top: 12px;
	right: 12px;
	z-index: 999;
}

.sidebar-menu {
	position: fixed;
	top: 0;
	left: 0;
	bottom: 0;
	background: #232323;
	z-index: 999;
	width: 240px;
	overflow-y: auto;
}

.sidebar-menu ul {
	display: flex;
	flex-direction: column;
	margin: 0;
	padding: 0;
	gap:0;
	list-style: none;
}

.sidebar-menu ul li a {
	display: block;
	color: #FFF;
	font-size: 14px;
	font-weight: 600;
	text-transform: uppercase;
	text-decoration: none;
	padding: 14px 25px;
	border-bottom: 1px solid #919191;
}

footer {
	padding: 30px 0;
}

footer p {
	text-align: center;
	font-size: 14px;
}

footer p a {
	color:#000;
	text-decoration: none;
	font-weight: bold;
}

@media (max-width: 1600px) {
	.demo-page-container {
		max-width: calc(100% - 260px);
		margin-left: 260px;
		margin-right: 0;
		padding-left: 25px;
		padding-right: 25px;
	}
}

@media (max-width: 991px) {
	.demo-page-container {
		max-width: 100%;
		margin-left: 0;
	}

	.sidebar-menu {
		display: none;
	}
}

@media (max-width: 767px) {
	.demo-page-container {
		padding-left: 20px;
		padding-right: 20px;
		padding-top:60px;
	}

	.demo-page-container h1 {
		font-size: 24px;
	}

	.demo-page-container h2 {
		font-size: 19px;
	}
}
